[][MAC80211][WiFi7][mt76][split mt76 Makefile patch]

[Description]
Change Makefile patch. Since wifi6 mt76 will temporarily stay on 2024/07
version, split the patch for wifi6 and wifi7.

[Release-log]
N/A

Change-Id: I6d987b08e9789eca89672a55832b30cbb86fd156
Reviewed-on: https://gerrit.mediatek.inc/c/openwrt/feeds/mtk_openwrt_feeds/+/9546593
diff --git a/autobuild/autobuild_5.4_mac80211_release/lede-build-sanity.sh b/autobuild/autobuild_5.4_mac80211_release/lede-build-sanity.sh
index 8b3c11d..30ecd08 100755
--- a/autobuild/autobuild_5.4_mac80211_release/lede-build-sanity.sh
+++ b/autobuild/autobuild_5.4_mac80211_release/lede-build-sanity.sh
@@ -329,22 +329,19 @@
 	# hack mt7622 config5.4
 	echo "CONFIG_RELAY=y" >> ./target/linux/mediatek/mt7622/config-5.4
 
-	# MAC80211/Hostapd Script
 	if [ "$1" = "1" ]; then
+			# MAC80211/Hostapd Script
 			patch -f -p1 -i ${MAC80211_AUTOBUILD_RELEASE}/0001-wifi7-mac80211-generate-hostapd-setting-from-ap-cap.patch || exit 1
-	else
-			patch -f -p1 -i ${MAC80211_AUTOBUILD_RELEASE}/0001-wifi6-mac80211-generate-hostapd-setting-from-ap-cap.patch || exit 1
-	fi
-
-	# Hostapd Makefile
-	if [ "$2" = "1" ]; then
+			# Hostapd Makefile
 			patch -f -p1 -i ${MAC80211_AUTOBUILD_RELEASE}/0002-wifi7-hostapd-makefile-for-utils.patch || exit 1
+			# MT76 Makefile
+			patch -f -p1 -i ${MAC80211_AUTOBUILD_RELEASE}/0003-wifi7-mt76-makefile-for-new-chip.patch || exit 1
 	else
+			patch -f -p1 -i ${MAC80211_AUTOBUILD_RELEASE}/0001-wifi6-mac80211-generate-hostapd-setting-from-ap-cap.patch || exit 1
 			patch -f -p1 -i ${MAC80211_AUTOBUILD_RELEASE}/0002-wifi6-hostapd-makefile-for-utils.patch || exit 1
+			patch -f -p1 -i ${MAC80211_AUTOBUILD_RELEASE}/0003-wifi6-mt76-makefile-for-new-chip.patch || exit 1
 	fi
 
-	# MT76 Makefile
-	patch -f -p1 -i ${MAC80211_AUTOBUILD_RELEASE}/0003-master-mt76-makefile-for-new-chip.patch || exit 1
 	cp -rfa ${MAC80211_AUTOBUILD_RELEASE}/package/ ${BUILD_DIR}
 	cp -rfa ${MAC80211_AUTOBUILD_RELEASE}/target/ ${BUILD_DIR}